<?php 
    $wp_customize->add_section(
        'appointment_area',
        array(
            'title' => __( 'Appointment Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'appointment_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'appointment_area_disable',
            array(
                'settings'      => 'appointment_area_disable',
                'section'       => 'appointment_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'appointmentus', 'appointment_area', $color='#182526', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appointmentarea_padding', 'appointment_area', 'Section Padding');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// width
lzCustomLable($wp_customize, 'app_conwidth', 'appointment_area', 'Section Width ');

$wp_customize->add_setting('app_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'app_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'appointment_area', // Replace with your actual section ID
    'settings' => 'app_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

// heading Style
lzCustomLable($wp_customize, 'app_headingcase', 'appointment_area', 'Heading Style');

$wp_customize->add_setting('app_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'app_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'appointment_area', // Replace with your actual section ID
    'settings' => 'app_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

lzCustomLable($wp_customize, 'appointmentheadin_leftclr', 'appointment_area', 'Section Heading');

$wp_customize->add_setting(
    'app_Heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'GET STARTED YOUR FAVORITE INSURANCE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_Heading',
    array(
        'settings'      => 'app_Heading',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'app_titleclr', 'appointment_area', 'Heading Color ', '#fff');


$wp_customize->add_setting(
    'appphone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+00 000 000 000 00', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appphone',
    array(
        'settings'      => 'appphone',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Phone Number ', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'appemail',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'hello@example.com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appemail',
    array(
        'settings'      => 'appemail',
        'section'       => 'appointment_area',
        'type'          => 'text',
        'label'         => __( 'Email Id ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'appsec_clr', 'appointment_area', 'Section Color');

addColorPalatOption($wp_customize, 'app_icnbrdclr', 'appointment_area', 'Icon Border Color ', '#fff');

addColorPalatOption($wp_customize, 'app_icntxtclr', 'appointment_area', 'Icon & Text Color ', '#fff');

addColorPalatOption($wp_customize, 'app_icntxthvclr', 'appointment_area', 'Icon & Text Hover Color ', '#456C6F');